Power in raster calculator returns no data values where it should be 0 to 1
Status: Closed

Priority: Normal

Assignee:

Category: Raster Calculator

Affected QGIS version:2.4.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19576

Description

The following operation with in QGIS 2.4 Raster calculator:

10 ^ (("20091201_20100101_chl_modis_malvinas_ns@1" * 0.0000581)-2)

returns no data values where it should return floating point values between 0 and 1. However, results above 1 are correct. Parsing the

operation, only the power section returned wrong numbers.

This operation used to work OK with the same raster layer in plugin Raster Calc, and still works OK in the SAGA raster calculator of the

processing toolbox.

I had actually noticed the same behavior in previous versions of QGIS.

Associated revisions

Revision c9ff77f9 - 2015-03-16 11:35 AM - Nyall Dawson

Fix power validity test in raster calculator (fix #11278)

Revision 327517d0 - 2015-03-17 09:17 AM - Nyall Dawson

Fix power validity test in raster calculator (fix #11278)

History

#1 - 2015-03-16 03:35 AM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"c9ff77f9b4a37d447da3af6c92709f66cbb1d83d".
